Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
applied_preset_object = client.cdn.presets.applied.get(
object_id=0,
preset_id=0,
)
print(applied_preset_object.object_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
appliedPresetObject, err := client.CDN.Presets.Applied.Get(
context.TODO(),
0,
cdn.PresetAppliedGetParams{
PresetID: 0,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", appliedPresetObject.ObjectID)
}
curl --request GET \
--url https://api.gcore.com/cdn/presets/{preset_id}/applied/{object_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/presets/{preset_id}/applied/{object_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"preset_id": 42,
"object_id": 7531
}Presets
Get applied preset object
Get a single object the preset is applied to.
Returns 404 if the preset is not applied to the object, so you can use this endpoint to check
whether the relationship exists.
GET
/
cdn
/
presets
/
{preset_id}
/
applied
/
{object_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
applied_preset_object = client.cdn.presets.applied.get(
object_id=0,
preset_id=0,
)
print(applied_preset_object.object_id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
appliedPresetObject, err := client.CDN.Presets.Applied.Get(
context.TODO(),
0,
cdn.PresetAppliedGetParams{
PresetID: 0,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", appliedPresetObject.ObjectID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Preset ID.
ID of the object (CDN resource or rule) the preset is applied to.
Response
Successful.
A single object the preset is applied to.
Was this page helpful?